POST restapi/personal/pages/{elementId}/contentblocks/trashcan/v1
Performs trashcan operations (delete or restore) on content blocks.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| elementId |
The unique identifier of the page element |
integer |
Required |
Body Parameters
The request containing the operation type and content block IDs
Itsolutions.Itslearning.Web.RestApi.Personal.Page.Requests.DeleteRestoreRequestUI| Name | Description | Type | Additional information |
|---|---|---|---|
| ContentBlockIds |
The list of content block IDs to be moved in or out from trashcan. |
Collection of integer |
None. |
| IsDeleted |
The boolean that describe the operation that needs to be done. If true, then the content blocks will be moved into trashcan, otherwise will be restored. |
boolean |
None. |
| LayoutZone |
The layout zone where the content block will be placed. Optional property that defaults to Left. Examples: - LayoutZone = Left => put content in the left column - LayoutZone = Right => put content in the right column |
Itsolutions.Itslearning.Web.RestApi.Personal.Page.PageApiModels.Enums.LayoutZoneDto |
None. |
| Order |
The position of the content block within the specified layout zone. Optional property, default last in this layout zone. If there is an existing content block at this position, that one and all blocks below will be shifted down. Examples: - Order = 1, LayoutZone = Left => top left position - Order = 2, LayoutZone = Left => second position in left column - Order = 1, LayoutZone = Right => top right position |
integer |
None. |
Request Formats
application/json, text/json
{
"contentBlockIds": [
1,
2
],
"isDeleted": true,
"layoutZone": 1,
"order": 1
}
application/xml, text/xml
<DeleteRestoreRequestUI xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Itsolutions.Itslearning.Web.RestApi.Personal.Page.Requests">
<ContentBlockIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:int>1</d2p1:int>
<d2p1:int>2</d2p1:int>
</ContentBlockIds>
<IsDeleted>true</IsDeleted>
<LayoutZone>Left</LayoutZone>
<Order>1</Order>
</DeleteRestoreRequestUI>
application/x-www-form-urlencoded
No sample available
Response Information
Resource Description
Success response if the operation completes successfully
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample not available.